Update Blueprint Details
Purpose
To update a single transition at a time. An error is thrown if the record is not in transition, transition_id is wrong, field_value data type mismatches, or field validation fails.
Request URL
https://www.zohoapis.com/crm/v2/{module_api_name}/{id}/actions/blueprint
module_api_name - The API name of the module
id - The unique ID of the record
| Supported modules |
|---|
| Leads, Accounts, Contacts, Deals, Campaigns, Tasks, Cases, Events, Calls, Solutions, Products, Vendors, Price Books, Quotes, Sales Orders, Purchase Orders, Invoices, Custom, Notes, and Activities |
Request Method
PUT
Scope
scope=ZohoCRM.modules.all
(or)
scope=ZohoCRM.modules.{module_name}.{operation_type}
| Possible module names | Possible operation types |
|---|---|
| leads, accounts, contacts, deals, campaigns, tasks, cases, events, calls, solutions, products, vendors, pricebooks, quotes, salesorders, purchaseorders, invoices, custom, notes, and activities | ALL - Full access to records WRITE - Edit records in the module CREATE - Create records in the module |
In the Related List sample, the key "Tasks" is the name of the list related to the record used in the transition.
The related list support for this API depends on the module of the record, which is used in the transition of the blueprint.
In case the number of fields in the input does not meet the required number, the "message" in the response would be "transition saved partially".
Sample Request
In the request, @blueprint1.json contains the sample input data.
curl "https://www.zohoapis.com/crm/v2/Leads/410888000000698006/actions/blueprint"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-d "@blueprint1.json"
-X PUT Sample Input: To add notes to a record in transition
{
"blueprint": [
{
"transition_id": "401308000003240197",
"data": {
"Phone": 8940372937,
"Notes": "Updated via blueprint"
}
}
]
} Sample Input: To upload attachments to the blueprint
{
"blueprint": [
{
"transition_id": "1000000031897",
"data": {
"Attachments": {
"$file_id": [
"59cf260313b6907ffc56957f4241bd94ba3e0b6aad53b50f8b38583a859d623a",
"59cf260313b6907ffc56957f4241bd94ba3e0b6aad53b50f8b38583a859d624d"
]
}
}
}
]
} Sample Input: To handle parent module fields during transition
{
"blueprint": [
{
"transition_id": "2000000031536",
"data": {
"Lookup_2": {
"phone": "123458939",
"id": "2000000048165"
}
}
}
]
} Sample Input: To update checklist information
{
"blueprint": [
{
"transition_id": "1000000034304",
"data": {
"CheckLists": [
{
"list 1": true
},
{
"list 2": false
},
{
"list 3": true
},
{
"list 4": true
}
]
}
}
]
} Sample Input: To update related list information
{
"blueprint": [
{
"transition_id": "2000000031536",
"data": {
"Tasks": {
"Subject": "Event"
}
}
}
]
} Sample Response
{
"code": "SUCCESS",
"details": {},
"message": "transition updated successfully",
"status": "success"
}